-- phpMyAdmin SQL Dump
-- version 3.2.1deb1
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Авг 31 2009 г., 23:35
-- Версия сервера: 5.1.37
-- Версия PHP: 5.2.10-2ubuntu2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `nix-files`
--

-- --------------------------------------------------------

--
-- Структура таблицы `apt_mirrors`
--

DROP TABLE IF EXISTS `apt_mirrors`;
CREATE TABLE IF NOT EXISTS `apt_mirrors` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `src_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `src_url` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `desk` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `apt_mirrors`
--

INSERT INTO `apt_mirrors` (`id`, `src_name`, `src_url`, `desk`) VALUES
(1, 'debian', 'ftp://ftp.us.debian.org/debian', ''),
(2, 'debian-security', 'ftp://security.debian.org/debian-security', ''),
(3, 'debian-multimedia', 'http://www.debian-multimedia.org', ''),
(4, 'ubuntu', 'http://archive.ubuntu.com/ubuntu', ''),
(5, 'ubuntu-security', 'http://security.ubuntu.com/ubuntu', ''),
(6, 'ubuntu-canonical', 'http://archive.canonical.com', ''),
(7, 'medibuntu', 'http://packages.medibuntu.org/', '');

-- --------------------------------------------------------

--
-- Структура таблицы `categories`
--

DROP TABLE IF EXISTS `categories`;
CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `category` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `categories`
--

INSERT INTO `categories` (`id`, `category`) VALUES
(1, 'file'),
(2, 'repo'),
(3, 'info'),
(4, 'misc');

-- --------------------------------------------------------

--
-- Структура таблицы `details`
--

DROP TABLE IF EXISTS `details`;
CREATE TABLE IF NOT EXISTS `details` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `talklink` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`title`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `details`
--

INSERT INTO `details` (`id`, `title`, `description`, `link`, `talklink`) VALUES
(1, 'ftp.niX-FILES', 'Файлопомойко', 'ftp://ftp.nix-files.org.ru', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1846');

-- --------------------------------------------------------

--
-- Структура таблицы `members`
--

DROP TABLE IF EXISTS `members`;
CREATE TABLE IF NOT EXISTS `members` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `nick` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `avatar` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `jabber` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `icq` int(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=9 ;

--
-- Дамп данных таблицы `members`
--

INSERT INTO `members` (`id`, `nick`, `avatar`, `jabber`, `icq`) VALUES
(1, 'Diffor', './img/avatar/diffor.jpg', 'diffor@jabber.ru', 0),
(2, 'firstleon', './img/avatar/firstleon.jpg', 'first-leon@jabber.ru', 0),
(3, 'SlipKnoT8', './img/avatar/slipknot8.gif', 'slipknot888@jabber.ru', 0),
(4, 'mistiman', './img/avatar/mistiman.png', '', 0),
(5, 'IK', './img/avatar/ik.jpg', '', 0),
(7, 'SP|Scream', './img/avatar/spscream.png', '', 0),
(8, 'Yamah', './img/avatar/yamah.png', '', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `networks`
--

DROP TABLE IF EXISTS `networks`;
CREATE TABLE IF NOT EXISTS `networks` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `network` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `link` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `networks`
--

INSERT INTO `networks` (`id`, `network`, `link`) VALUES
(1, 'Глоб', ''),
(2, 'Интелби', 'http://www.intelbi.ru/'),
(3, 'Интелека', 'http://www.inteleca.ru/'),
(4, 'АГУ', 'http://www.asu.ru/'),
(5, 'АлтГПА', 'http://www.uni-altai.ru/');

-- --------------------------------------------------------

--
-- Структура таблицы `resources`
--

DROP TABLE IF EXISTS `resources`;
CREATE TABLE IF NOT EXISTS `resources` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `category_id` int(2) NOT NULL,
  `resource` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `picture` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `link_talk` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `link_res` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `resources`
--

INSERT INTO `resources` (`id`, `category_id`, `resource`, `picture`, `link_talk`, `link_res`) VALUES
(1, 1, 'ftp', './img/logo/ftp.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1846', 'ftp://ftp.nix-files.org.ru'),
(2, 2, 'apt', './img/logo/debian.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1370', 'http://apt.nix-files.org.ru'),
(3, 3, 'dicts', './img/logo/kdict.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1432', 'http://dicts.nix-files.org.ru'),
(4, 3, 'mans', './img/logo/khelpcenter.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1449', 'http://mans.nix-files.org.ru'),
(5, 2, 'gentoo', './img/logo/gentoo.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1860', 'http://gentoo.nix-files.org.ru'),
(6, 2, 'mandriva', './img/logo/mandrake.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=2005', 'http://mandriva.nix-files.org.ru'),
(7, 2, 'arch', './img/logo/archlinux.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1884', 'http://arch.nix-files.org.ru'),
(8, 2, 'alt', './img/logo/altlinux.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=2009', 'http://alt.nix-files.org.ru'),
(9, 2, 'freebsd', './img/logo/freebsd.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1990', 'http://freebsd.nix-files.org.ru'),
(10, 4, 'www', './img/logo/www.png', 'http://altlug.ru/phpbb/viewtopic.php?f=37&t=1858', 'http://www.nix-files.org.ru'),
(11, 4, 'fail', './img/logo/fail.png', '', 'http://fail.nix-files.org.ru');

-- --------------------------------------------------------

--
-- Структура таблицы `res_mem_rank`
--

DROP TABLE IF EXISTS `res_mem_rank`;
CREATE TABLE IF NOT EXISTS `res_mem_rank` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `resource_id` int(2) NOT NULL,
  `network_id` int(2) NOT NULL,
  `member_id` int(2) NOT NULL,
  `rank_id` int(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`rank_id`),
  KEY `member_id` (`member_id`),
  KEY `network_id` (`network_id`),
  KEY `resource_id_2` (`resource_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=39 ;

--
-- Дамп данных таблицы `res_mem_rank`
--

INSERT INTO `res_mem_rank` (`id`, `resource_id`, `network_id`, `member_id`, `rank_id`) VALUES
(1, 1, 2, 3, 1),
(2, 1, 3, 3, 1),
(3, 1, 5, 4, 0),
(4, 2, 2, 2, 0),
(5, 2, 3, 3, 0),
(6, 2, 5, 2, 0),
(7, 3, 1, 5, 0),
(8, 3, 2, 5, 0),
(9, 3, 3, 5, 0),
(15, 5, 2, 4, 0),
(11, 4, 1, 5, 0),
(12, 4, 2, 5, 0),
(13, 4, 3, 5, 0),
(14, 4, 5, 5, 0),
(16, 3, 5, 5, 0),
(17, 5, 3, 4, 0),
(18, 5, 5, 4, 0),
(19, 6, 2, 8, 0),
(20, 6, 3, 8, 0),
(21, 6, 5, 8, 0),
(22, 7, 2, 4, 0),
(23, 7, 3, 4, 0),
(24, 7, 5, 4, 0),
(25, 8, 2, 4, 0),
(26, 8, 3, 4, 0),
(27, 8, 5, 4, 0),
(28, 9, 2, 4, 0),
(29, 9, 3, 4, 0),
(30, 9, 5, 2, 0),
(31, 10, 1, 1, 0),
(32, 10, 2, 1, 0),
(33, 10, 3, 1, 0),
(34, 10, 5, 1, 0),
(35, 11, 1, 1, 0),
(36, 11, 2, 1, 0),
(37, 11, 3, 1, 0),
(38, 11, 5, 1, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `res_net_stat`
--

DROP TABLE IF EXISTS `res_net_stat`;
CREATE TABLE IF NOT EXISTS `res_net_stat` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `resource_id` int(2) NOT NULL,
  `network_id` int(2) NOT NULL,
  `state_id` int(2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `resource_id` (`resource_id`,`network_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=37 ;

--
-- Дамп данных таблицы `res_net_stat`
--

INSERT INTO `res_net_stat` (`id`, `resource_id`, `network_id`, `state_id`) VALUES
(1, 1, 2, 1),
(2, 1, 3, 1),
(3, 1, 4, 4),
(4, 1, 5, 3),
(5, 2, 2, 2),
(6, 2, 3, 2),
(7, 2, 4, 4),
(8, 2, 5, 1),
(9, 3, 1, 1),
(10, 3, 2, 1),
(11, 3, 3, 2),
(12, 3, 5, 3),
(13, 4, 1, 1),
(14, 4, 2, 1),
(15, 4, 3, 2),
(16, 4, 5, 3),
(17, 5, 2, 1),
(18, 5, 3, 1),
(19, 5, 5, 3),
(20, 6, 2, 1),
(21, 6, 3, 1),
(22, 6, 5, 3),
(23, 7, 2, 1),
(24, 7, 3, 1),
(25, 7, 5, 3),
(26, 8, 2, 1),
(27, 8, 3, 1),
(28, 8, 5, 3),
(29, 9, 2, 1),
(30, 9, 3, 1),
(31, 9, 5, 2),
(32, 10, 1, 1),
(33, 10, 2, 1),
(34, 10, 3, 2),
(35, 10, 5, 3),
(36, 11, 1, 1);
